# Class Page

Page Class

#### Hierarchy

- Page

#### Implements

- AbstractPage

- Defined in saltcorn-data/models/page.ts:60

#####
Index

### Constructors

constructor

### Properties

attributes?
description
fixed_states
id?
layout
min_role
name
title

### Accessors

html_file
menu_label

### Methods

clone
connected_objects
delete
getStringsForI18n
getTags
is_root_page_for_roles
run
create
find
findOne
state_refresh
update

## Constructors

### constructor

- new Page(o): Page

- #### Parameters

  - ##### o: Page | PageCfg | PagePack

  #### Returns Page

  - Defined in saltcorn-data/models/page.ts:73

## Properties

### `Optional` attributes

attributes?: any

- Defined in saltcorn-data/models/page.ts:68

### description

description: string

- Defined in saltcorn-data/models/page.ts:63

### fixed_states

fixed_states: any

- Defined in saltcorn-data/models/page.ts:67

### `Optional` id

id?: number

Implementation of AbstractPage.id

- Defined in saltcorn-data/models/page.ts:64

### layout

layout: Layout

Implementation of AbstractPage.layout

- Defined in saltcorn-data/models/page.ts:66

### min_role

min_role: number

Implementation of AbstractPage.min_role

- Defined in saltcorn-data/models/page.ts:65

### name

name: string

Implementation of AbstractPage.name

- Defined in saltcorn-data/models/page.ts:61

### title

title: string

- Defined in saltcorn-data/models/page.ts:62

## Accessors

### html_file

- get html_file(): undefined | string

- #### Returns undefined | string

  - Defined in saltcorn-data/models/page.ts:423

### menu_label

- get menu_label(): undefined | string

- get menu label for page

  #### Returns undefined | string

  - Defined in saltcorn-data/models/page.ts:205

## Methods

### clone

- clone(): Promise<Page>

- Clone page

  #### Returns Promise<Page>

  - Defined in saltcorn-data/models/page.ts:216

### connected_objects

- connected_objects(): ConnectedObjects

- #### Returns ConnectedObjects

  Implementation of AbstractPage.connected_objects

  - Defined in saltcorn-data/models/page.ts:428

### delete

- delete(): Promise<void>

- Delete current page

  #### Returns Promise<void>

  - Defined in saltcorn-data/models/page.ts:170

### getStringsForI18n

- getStringsForI18n(): string[]

- #### Returns string[]

  - Defined in saltcorn-data/models/page.ts:148

### getTags

- getTags(): Promise<AbstractTag[]>

- #### Returns Promise<AbstractTag[]>

  Implementation of AbstractPage.getTags

  - Defined in saltcorn-data/models/page.ts:432

### is_root_page_for_roles

- is_root_page_for_roles(): Promise<string[]>

- Is root page for role

  #### Returns Promise<string[]>

  - Defined in saltcorn-data/models/page.ts:189

### run

- run(querystate, extraArgs): Promise<Layout>

- Run (Show) page

  #### Parameters

  - ##### querystate: any

  - ##### extraArgs: RunExtra

  #### Returns Promise<Layout>

  - Defined in saltcorn-data/models/page.ts:237

### `Static` create

- create(f): Promise<Page>

- Create page

  #### Parameters

  - ##### f: PageCfg | PagePack

  #### Returns Promise<Page>

  - Defined in saltcorn-data/models/page.ts:156

### `Static` find

- find(where?, selectopts?): Promise<Page[]>

- Find pages in DB

  #### Parameters

  - ##### `Optional` where: Where

  - ##### selectopts: SelectOptions = ...

  #### Returns Promise<Page[]>

  - Defined in saltcorn-data/models/page.ts:95

### `Static` findOne

- findOne(where): null | Page

- Find one page

  #### Parameters

  - ##### where: Where

  #### Returns null | Page

  - Defined in saltcorn-data/models/page.ts:114

### `Static` state_refresh

- state_refresh(): Promise<void>

- #### Returns Promise<void>

  - Defined in saltcorn-data/models/page.ts:144

### `Static` update

- update(id, row): Promise<void>

- Update page

  #### Parameters

  - ##### id: number

  - ##### row: Row

  #### Returns Promise<void>

  - Defined in saltcorn-data/models/page.ts:138

Generated using TypeDoc